Package com.orbbec.obsensor

## Class Config

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Config

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class Config
    extends LobClass

Used to configure Pipeline data flow status

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Constructor Summary

Constructors
`Config()` Create a new pipeline configuration to configure the resolution and frame rate of the data stream and data stream that needs to be opened through the Pipeline

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Release Config object resources
`void` `disableStream​(StreamType streamType)` Close the data stream of the specified configuration, through this interface, you can configure which data stream needs to be closed
`void` `enableStream​(StreamProfile streamProfile)` Start the data stream of the specified configuration
`void` `setAlignMode​(AlignMode mode)` Set the alignment mode
`void` `setD2CTargetResolution​(int width, int height)` Set the D2C target resolution, which is applicable to cases where the Color stream is not enabled using the OrbbecSDK and the depth needs to be D2C Note: When you use OrbbecSDK to enable the Color stream, you also use this interface to set the D2C target resolution.
`void` `setDepthScaleRequire​(boolean enable)` Whether the depth needs to be scaled after setting D2C

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Config

    public Config()

Create a new pipeline configuration to configure the resolution and frame rate of the data stream and data stream that needs to be opened through the Pipeline

### Method Detail

#### enableStream

    public void enableStream​(StreamProfile streamProfile)

Start the data stream of the specified configuration

Parameters:
  `streamProfile` - Data flow configuration

#### disableStream

    public void disableStream​(StreamType streamType)

Close the data stream of the specified configuration, through this interface, you can configure which data stream needs to be closed

Parameters:
  `streamType` - Data stream configuration

#### setAlignMode

    public void setAlignMode​(AlignMode mode)

Set the alignment mode

Parameters:
  `mode` - AlignMode

#### setDepthScaleRequire

    public void setDepthScaleRequire​(boolean enable)

Whether the depth needs to be scaled after setting D2C

Parameters:
  `enable` - Whether scaling is required

#### setD2CTargetResolution

    public void setD2CTargetResolution​(int width,
                                       int height)

Set the D2C target resolution, which is applicable to cases where the Color stream is not enabled using the OrbbecSDK and the depth needs to be D2C Note: When you use OrbbecSDK to enable the Color stream, you also use this interface to set the D2C target resolution. The configuration of the enabled Color stream is preferred for D2C.

Parameters:
  `width` - The D2C target has a wide resolution
  `height` - The D2C targets has a high resolution

#### close

    public void close()

Release Config object resources